1. LIS Marketplace: New Lab Onboarding
Docus Reference Lab API
  • Getting Started
  • Interpretation Required
    • Submit Lab Results
      POST
    • Interpretation Report Delivery
      POST
  • No Interpretation Required
    • Submit Lab Results
      POST
  • LIS Marketplace: New Lab Onboarding
    • Submit Lab Onboarding Request
      POST
  1. LIS Marketplace: New Lab Onboarding

Submit Lab Onboarding Request

POST
https://lab-onboarding.docus.live/
This endpoint allows multilab partners, such as LIS or CRM platforms, to send basic lab information to Docus so our team can begin setting up the lab’s access to the Docus Lab Platform.

Request

Header Params

Body Params application/jsonRequired

Examples

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://lab-onboarding.docus.live/' \
--header 'x-api-key: <provided_by_Docus>' \
--header 'x-auth-key: <provided_by_Docus>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "partner_name": "Example LIS Partner",
    "lab_info": {
        "lab_brand_name": "Example Diagnostics Lab",
        "lab_id": "partner-lab-12345",
        "lab_npi": "1234567890",
        "lab_clia_number": "05D1234567",
        "lab_primary_address": "123 Main Street, Suite 400, Los Angeles, CA 90001, US",
        "lab_phone": "+1-555-123-4567",
        "lab_fax": "+1-555-123-4568",
        "lab_email": "info@examplelab.com",
        "lab_website": "https://www.examplelab.com",
        "lab_logo": {
            "mime_type": "image/png",
            "base64": "iVBORw0KGgoAAAANSUhEUgAA..."
        },
        "primary_contact": {
            "name": "Jane Smith",
            "email": "jane.smith@examplelab.com",
            "phone": "+1-555-987-6543"
        }
    },
    "interpretation_config": {
        "test_types": [
            "CBC",
            "UTI PCR",
            "PGx"
        ]
    }
}'
Response Response Example
{
    "status": "received",
    "request_id": "req_84b29620-b38b-4bd3-bc83-639c9c6ab2f5",
    "message": "AI interpretation setup request received. Setup is now in progress."
}
Previous
Submit Lab Results
Built with